PR_SET_MM_AUXV(2const)

NAME
PR_SET_MM_AUXV - set a new auxiliary vector

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_MM, PR_SET_MM_AUXV,
          unsigned long addr, unsigned long size, 0L);

DESCRIPTION
Set a new auxiliary vector.

addr should provide the address of the vector. size is the size of the vector.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    addr is greater than TASK_SIZE (the limit on the size of the user address space for this architecture).

STANDARDS
Linux.

HISTORY
Linux 3.5.

SEE ALSO
prctl(2), PR_SET_MM(2const)